PointCloudCollection Class

class NXOpen.Display.PointCloudCollection

Bases: object

Represents a collection of point cloud objects

To obtain an instance of this class, refer to NXOpen.BasePart

New in version NX11.0.0.

Methods

Method Description
CreatePointCloudBuilder Creates a NXOpen.Display.PointCloudBuilder object used to build a point cloud.
FindObject Finds the NXOpen.Display.PointCloud with the given identifier as recorded in a journal.

Method Detail

CreatePointCloudBuilder

PointCloudCollection.CreatePointCloudBuilder

Creates a NXOpen.Display.PointCloudBuilder object used to build a point cloud.

If the referencePointCloud is not None, the referencePointCloud object will be edited.

Signature CreatePointCloudBuilder(referencePointCloud)

Parameters:referencePointCloud (NXOpen.Display.PointCloud) – If referencePointCloud is not None, this object will be edited
Returns:Point cloud builder
Return type:NXOpen.Display.PointCloudBuilder

New in version NX11.0.0.

License requirements: nx_point_cloud_view (“NX Point Cloud Viewer”)

FindObject

PointCloudCollection.FindObject

Finds the NXOpen.Display.PointCloud with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier to be found
Returns:Reference point cloud found
Return type:NXOpen.Display.PointCloud

New in version NX11.0.0.

License requirements: None.